#include "pcf8574a.h"
void pcf8574a_send_byte(uchar io_byte)
{
  I2C_start();
  I2C_send_byte(PCF8574A_ADDRESS);
  I2C_receive_ack();
  
  I2C_send_byte(io_byte);
  I2C_receive_ack();
  
  I2C_stop();
}

uchar pcf8574a_receive_byte()
{
  uchar read_temp;
  I2C_start();
  I2C_send_byte(PCF8574A_ADDRESS+IIC_READ);
  I2C_receive_ack();
  
  read_temp=I2C_receive_byte();
  I2C_acknowledge();
  I2C_stop();
  return read_temp;
}
uchar pcf8574a_key_scan()
{
  uchar pcf8574_horizontal=0;  //pcf8574a  ļ
  uchar pcf8574_vertical=0;    //pcf8574 
  uchar key=0;    //
  if(pcf8574_horizontal != 0xf0)
  {
    I2C_delay(500);
    pcf8574_horizontal=pcf8574a_receive_byte();
    if(pcf8574_horizontal != 0xf0)
    {
      pcf8574a_send_byte(0xf0);
      pcf8574_vertical=pcf8574a_receive_byte();
      pcf8574a_send_byte(0x0f);
      key=pcf8574_horizontal|pcf8574_vertical;
      return key;   //а·ؼֵ
    }
    return 0x00;    // 0x00ʾûа
  }
  return 0x00;    // 0x00ʾûа
}